﻿using Syncfusion.Data;
using Syncfusion.SfDataGrid.XForms;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;

namespace XamarinForms
{
    public partial class SfDataGridPage : ContentPage
    {
        double totalRowHeight = 0;
        double totalColumnWidth = 0;
        public SfDataGridPage()
        {
            InitializeComponent();
            dataGrid.SizeChanged += DataGrid_SizeChanged;
        }

        private void DataGrid_SizeChanged(object sender, EventArgs e)
        {
            if (totalRowHeight == 0 && totalColumnWidth == 0)
            {
                for (int i = 0; i <= this.dataGrid.View.Records.Count; i++)
                    totalRowHeight += dataGrid.RowHeight;

                for (int i = 0; i < this.dataGrid.Columns.Count; i++)
                    totalColumnWidth += dataGrid.Columns[i].ActualWidth + (dataGrid.ShowRowHeader ? dataGrid.RowHeaderWidth : 0);
                contentView.WidthRequest = Math.Min(totalColumnWidth, dataGrid.Width);
                contentView.HeightRequest = Math.Min(totalRowHeight, dataGrid.Height);
            }
        }
    }
}
